<template>
    <div class="h-full flex flex-col relative transaction-page">
        <el-tabs v-model="transactionAcitveTab" class="demo-tabs">
            <template v-for="tab in transactionTabs" :key="tab.name">
                <el-tab-pane :name="tab.name" :disabled="isStatementLoading">
                    <template #label>
                        <nuxt-link :to="tab.to" class="py-4">{{
                            $t(tab.label)
                        }}</nuxt-link>
                    </template>
                </el-tab-pane>
            </template>
        </el-tabs>
        <div class="p-6 ">
            <lazy-user-center-desktop-transaction-history-deposit v-if="transactionAcitveTab === 'transaction-history-deposit'"/>
            <lazy-user-center-desktop-transaction-history-withdrawal v-if="transactionAcitveTab === 'transaction-history-withdrawal'"/>
            <lazy-user-center-desktop-transaction-history-winlose v-if="transactionAcitveTab === 'transaction-history-winlose'"/>
        </div>
    </div>
</template>
  
<script lang="ts" setup>
import { useRoute } from "vue-router";
import { store } from "~~/store";

defineProps({
    theme: {
        type: String,
        default: "",
    },
});
const route = useRoute();
const transactionAcitveTab = ref(() => String(route.name));
const isUCPopup = computed(() => route.fullPath.includes("uc=/"));


const getLink = (link: string) => {
    if (isUCPopup.value) return `${route.path}?uc=${link}`;
    return link;
}
const transactionTabs = [
    {
        name: "transaction-history-deposit",
        to: getLink("/transaction-history/deposit"),
        label: "deposit"
    },
    {
        name: "transaction-history-withdrawal",
        to: getLink("/transaction-history/withdrawal"),
        label: "withdrawal"
    },
    {
        name: "transaction-history-winlose",
        to: getLink("/transaction-history/winlose"),
        label: "winlose"
    },
];

const isStatementLoading = computed(() => store.state.isStatementLoading);

onBeforeMount(() => {
    if (route.fullPath === getLink("/transaction-history") || route.fullPath === getLink("/transaction-history/")) {
        navigateTo(getLink("/transaction-history/winlose"));
        transactionAcitveTab.value = "transaction-history-winlose";
        return;
    }
    const activeTab = transactionTabs.find(tab => route.fullPath.includes(tab.to));
    if (activeTab) {
        transactionAcitveTab.value = activeTab.name;
    } else {
        transactionAcitveTab.value = "transaction-history-winlose";
    }

})

</script>
  
<style>
[layout="main"] .demo-tabs .el-tabs__nav-wrap .el-tabs__item,
[layout="sbo"] .demo-tabs .el-tabs__nav-wrap .el-tabs__item,
.black-mobile .demo-tabs .el-tabs__nav-wrap .el-tabs__item {
    width: unset !important;
}

.transaction-page[theme="desktop/sbo"] {
    background: var(--background1, white);
}
</style>
<style lang="scss">
.desktop-transaction-deposit,
.withdrawal-desktop {
    .el-table__body-wrapper {
        height: 100%;
        padding-bottom: 44px;
    }

    .el-table__inner-wrapper {
        padding-bottom: 15px;
    }
}
</style>